---
- name: Download and unpack the Package
  unarchive:
    src: "{{ nifi_url }}"
    dest: "{{ nifi_cfg.dir_home }}"
    remote_src: yes

- name: Create NiFi linux group.
  group:
    name: "{{ nifi_cfg.linux_grp }}"
    state: present

- name: Create NiFi linux user.
  user:
    name: "{{ nifi_cfg.linux_usr }}"
    shell: /bin/bash
    groups: "{{ item }}"
    append: yes
  with_items:
     - "{{ nifi_cfg.linux_grp }}"
     - root

- name: Template a file to /etc/files.conf
  template:
    src: nifi.service.j2
    dest: /etc/systemd/system/nifi.service
    owner: "{{ nifi_cfg.linux_usr }}"
    group: "{{ nifi_cfg.linux_grp }}"
    mode: '0755'

- name: Port file to destination
  template:
    src: nifi.properties.j2
    dest: /opt/nifi-{{ version }}/conf/nifi.properties
    owner: "{{ nifi_cfg.linux_usr }}"
    group: "{{ nifi_cfg.linux_grp }}"
    mode: '0655'

- name: Allow the user port
  ufw:
    rule: allow
    port: "8080"

- name: Daemon reload
  systemd: 
    daemon_reload: yes


#- name: Enable nifi service
#  service:
#    name: nifi.service
#    enabled: yes


- name: Start the Service
  service:
    name: nifi.service
    state: restarted

